use crate::types::Vertex;

pub struct VertexLump {
    pub vertexes: Vec<Vertex>,
}

impl VertexLump {
    pub fn num_vertexes(&self) -> usize {
        self.vertexes.len()
    }

    pub fn get_all_vertexes(&self) -> Vec<Vertex> {
        self.vertexes.to_vec()
    }

    pub fn get_vertex(&self, pos: usize) -> Vertex {
        self.vertexes[pos].to_owned()
    }
}
